[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#503013: marked as done (Superfluous bdeps for disabled input plugins)

Your message dated Tue, 25 Oct 2011 23:48:13 +0000
with message-id <E1RIqj7-0001ar-7N@franck.debian.org>
and subject line Bug#503013: fixed in libvisual-plugins 0.4.0.dfsg.1-4
has caused the Debian Bug report #503013,
regarding Superfluous bdeps for disabled input plugins
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

503013: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503013
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: libvisual-plugins
Version: 0.4.0.dfsg.1-2
Severity: normal

        Hi there,

 While looking at why libvisual-plugins build-deps on jack for
 Ubuntu[1], I noticed that the jack bdep while correct and correctly
 detected by the upstream configure.ac isn't used at all.
 build_input_plugins="" on line 112 of configure.ac will cause the esd
 and jack input plugins not to be built.

 So either you should drop the bdeps because nobody cares for the jack
 and esd input plugins, or you should fix the upstream configure.ac to
 enable it.  As a quick workaround, you might be able to set
 build_input_plugins when calling MAKE instead.

 Perhaps if nobody cared to report this issue then it's not worth it to
 build the jack and esd plugins at all?


 [1] we don't have jack in Ubuntu main, but wanted to promote
     libvisual-plugins to main because some main packages wanted to use

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.27-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libvisual-0.4-plugins depends on:
ii  libasound2                    1.0.17-1   ALSA library
ii  libc6                         2.7-15     GNU C Library: Shared libraries
ii  libgcc1                       1:4.3.2-1  GCC support library
ii  libgl1-mesa-glx [libgl1]      7.2-1      A free implementation of the OpenG
ii  libglu1-mesa [libglu1]        7.2-1      The OpenGL utility library (GLU)
ii  libstdc++6                    4.3.2-1    The GNU Standard C++ Library v3
ii  libvisual-0.4-0               0.4.0-2.1  Audio visualization framework

libvisual-0.4-plugins recommends no packages.

libvisual-0.4-plugins suggests no packages.

-- no debconf information

Loïc Minier

--- End Message ---
--- Begin Message ---
Source: libvisual-plugins
Source-Version: 0.4.0.dfsg.1-4

We believe that the bug you reported is fixed in the latest version of
libvisual-plugins, which is due to be installed in the Debian FTP archive:

  to main/libv/libvisual-plugins/libvisual-0.4-plugins_0.4.0.dfsg.1-4_amd64.deb
  to main/libv/libvisual-plugins/libvisual-plugins_0.4.0.dfsg.1-4.debian.tar.gz
  to main/libv/libvisual-plugins/libvisual-plugins_0.4.0.dfsg.1-4.dsc

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 503013@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Steve Langasek <vorlon@debian.org> (supplier of updated libvisual-plugins package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA256

Format: 1.8
Date: Tue, 25 Oct 2011 23:02:36 +0000
Source: libvisual-plugins
Binary: libvisual-0.4-plugins
Architecture: source amd64
Version: 0.4.0.dfsg.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
 libvisual-0.4-plugins - Audio visualization framework plugins
Closes: 503013 503017
 libvisual-plugins (0.4.0.dfsg.1-4) unstable; urgency=low
   * QA upload.
   * Various fixes from Ubuntu:
     - Drop build-dependencies on libesd and libjack, neither of which are
       used at runtime.  Closes: #503013.
     - Drop build-dependency on x11proto-core-dev, not used at build time.
     - Build-dep on mesa-common-dev explicitely for GL/glx.h.
     - Add -D_GNU_SOURCE to CFLAGS to pick up mremap prototype. LP: #766045.
     - 60_no-const-vispluginfo-in-nastyfft: the static VisPluginInfo in
       nastyfft was declared as const, but libvisual write to its refcount
       when it visual_object_unref()s it (nasty!).  This is broken at various
       levels: libvisual shouldn't be writing to this static plugin which is
       allocated by a dlopen()ed plugin, and it should also honor the "const
       VisPluginInfo" API...  Anyway, nastyfft was the only occurrence and
       this fixes the crash for now; LP: #287448.
   * Switch from cdbs to dh(1).
   * Switch to debhelper compat 9 for hardening.
   * Use dh_autoreconf to get up-to-date config.guess/config.sub at build
     time, and drop debian/patches/90_autoreconf.patch.  Closes: #503017.
   * Also build-depend on autopoint, not pulled in by dh-autoreconf but needed
     for this package.
   * Update debian/patches/05_fix_po.patch to actually be safe in the face of
 0876ff2166c4917109086cad3c4b5e4c6ef953b3 1986 libvisual-plugins_0.4.0.dfsg.1-4.dsc
 ca851ec0a9c8a18f8466c403668408d77dec6932 7030 libvisual-plugins_0.4.0.dfsg.1-4.debian.tar.gz
 6079cc48e5aec5ac342ed798a178b5b6d302df6a 146610 libvisual-0.4-plugins_0.4.0.dfsg.1-4_amd64.deb
 7747261a3d6c50c9cdc75b9445c897c45f2340b42ad799e5f14e4f47f1a65d7a 1986 libvisual-plugins_0.4.0.dfsg.1-4.dsc
 96d1b2e80b5109bb0d139ca164d8a63dfe18a4ec0811825a3d9e903c7857952c 7030 libvisual-plugins_0.4.0.dfsg.1-4.debian.tar.gz
 695180ddef02eded05626814a5658373fef603ab5b30bd179cd0bccd6592cd7b 146610 libvisual-0.4-plugins_0.4.0.dfsg.1-4_amd64.deb
 0b307c5fa970bd816dcc1931ee480f62 1986 sound optional libvisual-plugins_0.4.0.dfsg.1-4.dsc
 ff3dfb762462d3521f209bc075f08ed4 7030 sound optional libvisual-plugins_0.4.0.dfsg.1-4.debian.tar.gz
 88e1cfe8b8332bf8a5854cafe711a63b 146610 sound optional libvisual-0.4-plugins_0.4.0.dfsg.1-4_amd64.deb

Version: GnuPG v1.4.11 (GNU/Linux)


--- End Message ---

Reply to: